org.richfaces.resource.optimizer.util

## Class MorePredicates

- java.lang.Object
- - org.richfaces.resource.optimizer.util.MorePredicates

-     public final class MorePredicates
      extends Object

  Author:
    Nick Belaevski

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <S,D> com.google.common.base.Predicate<D>` | `any(Iterable<S> options, com.google.common.base.Function<S,com.google.common.base.Predicate<D>> function)`
    `static <S,D> com.google.common.base.Predicate<D>` | `compose(Iterable<S> includes, Iterable<S> excludes, com.google.common.base.Function<S,com.google.common.base.Predicate<D>> function)`
    `static com.google.common.base.Predicate<CharSequence>` | `matches(Pattern pattern)`
    `static <S,D> com.google.common.base.Predicate<D>` | `none(Iterable<S> options, com.google.common.base.Function<S,com.google.common.base.Predicate<D>> function)`
    `static com.google.common.base.Predicate<String>` | `startsWith(String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### any

          public static <S,D> com.google.common.base.Predicate<D> any(Iterable<S> options,
                                                                      com.google.common.base.Function<S,com.google.common.base.Predicate<D>> function)

    - #### none

          public static <S,D> com.google.common.base.Predicate<D> none(Iterable<S> options,
                                                                       com.google.common.base.Function<S,com.google.common.base.Predicate<D>> function)

    - #### compose

          public static <S,D> com.google.common.base.Predicate<D> compose(Iterable<S> includes,
                                                                          Iterable<S> excludes,
                                                                          com.google.common.base.Function<S,com.google.common.base.Predicate<D>> function)

    - #### startsWith

          public static com.google.common.base.Predicate<String> startsWith(String prefix)

    - #### matches

          public static com.google.common.base.Predicate<CharSequence> matches(Pattern pattern)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.